For the complete documentation index, see llms.txt. This page is also available as Markdown.

Sign tx

post

Signs a Bitcoin transaction using the provided account name and transaction input.

Authorizations
AuthorizationstringRequired
Path parameters
accountNamestringRequired
  • The name of the account to sign the transaction for.
Header parameters
AuthorizationstringRequired
  • The authorization token from the request header.
Body
  • The transaction input details.
tostringOptional

The recipient address.

valuenumber · doubleOptional

The amount to be sent.

networkstringOptional

The network on which the transaction is taking place.

compressbooleanOptional

Indicates whether to compress the public key.

Responses
200

A promise that resolves to a BitcoinAPIResponse object containing the signed transaction data.

application/json
dataany ofOptional
or
or
or
successbooleanRequired
messagestringRequired
post/bitcoin/{accountName}/sign-tx
200

A promise that resolves to a BitcoinAPIResponse object containing the signed transaction data.